summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2020-10-11 17:50:26 -0400
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-10-17 09:37:02 +0700
commit3b0d687ef17e449269bd24cedb07836c53bcef1d (patch)
treeaf47795c205a347d0cc5e6d194eb7c2493563bf2 /libraries
parente5bff4b40726ffbd0e7c7f4c338b23c1360d9562 (diff)
downloadslackbuilds-3b0d687ef17e449269bd24cedb07836c53bcef1d.tar.gz
slackbuilds-3b0d687ef17e449269bd24cedb07836c53bcef1d.tar.xz
libraries/flint: Fix slack-desc, template comments.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/flint/flint.SlackBuild11
-rw-r--r--libraries/flint/slack-desc2
2 files changed, 2 insertions, 11 deletions
diff --git a/libraries/flint/flint.SlackBuild b/libraries/flint/flint.SlackBuild
index 2de9eaa2a1..4bbb6abbc9 100644
--- a/libraries/flint/flint.SlackBuild
+++ b/libraries/flint/flint.SlackBuild
@@ -27,12 +27,10 @@ VERSION=${VERSION:-2.6.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -56,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -78,29 +76,22 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-static \
--build=$ARCH-slackware-linux
-# Compile the application and install it into the $PKG directory
make
make install DESTDIR=$PKG
# FLINT doesn't have an option to set the library path, so we adjust it here
test -z "$LIBDIRSUFFIX" || mv -v "$PKG/usr/lib" "$PKG/usr/lib${LIBDIRSUFFIX}"
-# Strip binaries and libraries - this can be done with 'make install-strip'
-# in many source trees, and that's usually acceptable if so, but if not,
-# use this:
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Copy program documentation into the package
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -av doc/. $PKG/usr/doc/$PRGNAM-$VERSION/
cp -av examples $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Copy the slack-desc into ./install
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Make the package; be sure to leave it in $OUTPUT
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/flint/slack-desc b/libraries/flint/slack-desc
index d470e3b5d5..3e3df86d46 100644
--- a/libraries/flint/slack-desc
+++ b/libraries/flint/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-flint: FLINT: Fast Library for Number Theory
+flint: flint (Fast Library for Number Theory)
flint:
flint: FLINT (Fast Library for Number Theory) is a C library in support of
flint: computations in number theory. It's also a research project into